<?php

namespace App\modele;

use App\gateway\AlumniGateway;
use App\gateway\Connection;
use App\gateway\ImageGateway;
use App\gateway\OffreGateway;
use App\gateway\ProfilGateway;
use App\metier\Alumni;
use mysql_xdevapi\Exception;

class MembreModele extends UtilisateurModele
{

    private $con;

    public function __construct()
    {
        $this->con = new Connection(DB_HOST,DB_USER,DB_PASS);
    }

    /**
     * @description modifier photo de profil
     */
    public function updateProfilPhoto() : bool
    {
        // TO DO
        return false;
    }

    /**
     * @description ajouter formation
     */
    public function addFormation() : bool
    {
        // TO DO
        return false;
    }


    /**
     * @description modifier formation
     */
    public function updateFormation() : bool
    {
        // TO DO
        return false;
    }

    /**
     * @description Récupérer l'expériences en fonction de l'id
     */
    public function getExperienceById() : array 
    {
        $gate = new ExperiencetGateway($this->con);
        $data = $gate->getExperienceFromId();
        $experience = array();

        foreach($data as $row)
        {
            $experience[] = new Experience(
                $row['id'],
                $row['profil'],
                $row['intitule'],
                $row['dateBegin'],
                $row['dateEnd'],
                $row['industryName'],
                $row['currentJob']
            );
        }
        return $experience;
    }

    /**
     * @description Récupérer les expériences de l'utilisateurs en cours
     */
    public function getExperienceByProfil() : array 
    {
        $gate = new ExperiencetGateway($this->con);
        $data = $gate->getExperienceFromProfil();
        $experience = array();

        foreach($data as $row)
        {
            $experience[] = new Experience(
                $row['id'],
                $row['profil'],
                $row['intitule'],
                $row['dateBegin'],
                $row['dateEnd'],
                $row['industryName'],
                $row['currentJob']
            );
        }
        return $experience;
    }

    /**
     * @description ajouter Experience
     */
    public function addExperience()
    {
        $gate = new ExperienceGateway($this->con);

        $exp = new Experience(
            $gate->getNewId(),
            '1', //TODO : Ajouter l'ID de l'admin connecté
            $titre,
            $description,
            $date,
            $nbPlaceMax,
            $img
        );

        $gate->insertEvenement($evenement);
    }

    /**
     * @description supprimer une expérience
     */
    public function deleteExperience(int $id)
    {
        $gate = new ExperienceGateway($this->con);
        $gate->deleteExperience($id);
    }

    /**
     * @description modifier experience
     */
    public function updateExperience() : bool
    {
        // TO DO
        return false;
    }

    /**
     * @description changer mot de passe
     * @param string $oldHash ancien hash
     * @param string $newHash nouveau hash
     */
    public function updatePasswd(string $oldHash,string $newHash) : bool
    {
        // TO DO
        return false;
    }



}